﻿@model SignalRMVCChat.Models.PluginCustomized



@using SignalRMVCChat.Areas.sysAdmin.Service
@using SignalRMVCChat.DependencyInjection
@using SignalRMVCChat.Service
@using SignalRMVCChat.SysAdmin.Service
<!DOCTYPE html>
<html lang="fa">

<style>
    .alert {
    }

    .aTagForUserButton {
        display: unset;
    }

        .aTagForUserButton:hover {
            cursor: pointer;
        }


    .aTagForUser:hover .aTagForUserButton {
        display: unset;
    }

    #selectedTag {
        background-color: #efefef;
        padding: 4px;
        ;
    }

    .aTagForSelect:hover {
        color: #6cb8dd;
        cursor: pointer;
    }

    .closebtn {
    }

    .seps {
        color: #ddd
    }

    .closebtn:hover {
        color: black;
    }
</style>

@{
    var baseUrl = MyGlobal.GetBaseUrl(Request.Url);
    string archiveUrl = $@"{baseUrl}/customer/archive";
    string panelUrl = $@"{baseUrl}/customer/panel";
    var pluginCustomized = Model;
    string websiteToken = ViewBag.token;
}


<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
          rel="stylesheet" />

    <link href="@baseUrl/Content/JsPlugin/Tooltip.css" rel="stylesheet" />
    <link href="@baseUrl/Content/Site.css" rel="stylesheet" />
</head>

<body>
    <style>
    
.onTheFly{
    top: 10% !important;
    left: 55%!important;
}

.gapSearchDiv{
    margin-top: 10px;
    border: 1px solid #78ffeac2;
    border-radius: 10px;
    padding:15px;
}
.gapSearchDiv:hover{
    background-color: #78ffeac2;
  cursor: pointer;
}
#iconHolder{
text-align: center;
}
#iconHolder *{
font-size: @pluginCustomized.IconSize;

}
.gapSearchDiv span{
  color: #cac9c9;
  float: left;

}

.gapContent::-webkit-scrollbar {
  width: 5px;
  height: 80%;
}


.gapScreen::-webkit-scrollbar {
  width: 5px;
  height: 80%;
}

.lastInfo{
color:#cac9c9;
margin-right: 5px;
}


.lastInfo:hover{
color:#4395f1;
}

/* Track */
.gapContent::-webkit-scrollbar-track {
  background: #f1f1f1;
}
.gapScreen::-webkit-scrollbar-track {
            background: #f1f1f1;
          }


.gapScreen::-webkit-scrollbar-thumb {
            background: #888;
              border-radius: 10px;
          }
/* Handle */
.gapContent::-webkit-scrollbar-thumb {
  background: #888;
    border-radius: 10px;
}


.gapScreen::-webkit-scrollbar-thumb:hover {
            background: #555;
          }


/* Handle on hover */
.gapContent::-webkit-scrollbar-thumb:hover {
  background: #555;
}


/* Track */
.chatPanel::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
.chatPanel::-webkit-scrollbar-thumb {
  background: #888;
    border-radius: 10px;
}

/* Handle on hover */
.chatPanel::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.onTheFly *{
direction: rtl;
text-align: right;
}
.MsgCount{
float:left;
}
    .onTheFly{
    position: fixed;
         z-index: 9999;
         cursor: move;
 }
    .dot:hover{
    cursor: pointer;
    }
    .dot {
      padding:15px;
        box-shadow: 10px #888888;
      background-color: @pluginCustomized.StartBackGroundColor !important;  ;
      border-radius: @pluginCustomized.StartBorderRadius;
      display: inline-block;
      text-align: center;
      color:@pluginCustomized.StartColor;
    }
    .gapRow *{
        font-size: 14px;
        }
    .gapRow{
padding: 10px;
    background-color: aliceblue;
    margin-top: 3px;
        }

        .gapRow:hover{
            cursor: pointer;
            background-color: #cdf8ff;
            }

    .gapStat{
        height: 10px;
             width: 10px;
             background-color: #29bb1c;
             border-radius: 50%;
             display: inline-block;
             text-align: center;
       }
      /* .gapContent::-webkit-scrollbar {
         display: none;
       }

       !* Hide scrollbar for IE and Edge *!
       .gapContent {
         -ms-overflow-style: none;
       }*/


    .gapContent ,.gapScreen{
        overflow: auto;
        height: 80vh;
        width: 80vh;
        -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
        -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
        box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    }

        .gapStatWorking{
            height: 10px;
                 width: 10px;
                 background-color: orange;
                 border-radius: 50%;
                 display: inline-block;
                 text-align: center;
           }

.chatInput input{
    border: 1px solid #dddddd;
    border-radius: 2%;
    z-index: 9999999999;
    font-size: 20px;
    height: 43px;
}


                      .chatInput input:focus{
                                 border: 1px solid #dddddd;
                                  outline: none;

                                 }

           .chatPanel{
           background-color: white ;
          border: 1px solid #dddddd;
          width: 100%;
          overflow-y: auto;
          margin-bottom: 5px;
          display: grid;
              margin-top: 20px;

             -ms-overflow-style: thin;  /* Internet Explorer 10+ */
                scrollbar-width: thin;

               height: 100%;
               margin: 0px;
     }

.chatInput{
    display: flex;

}




     .gapMe i {
     font-size: 12px;
     font-weight: bold;
     }
     .gapMe{
                background-color: @pluginCustomized.GapMeBgColor ;
                word-break: break-word;
color:  @pluginCustomized.GapMeColor ;
   float: right;
   padding: 7px;
   border-radius: 5%;
  }

  .gapMsg{
  width: 100%;
  margin-top: 5px;
  }

     .gapHe{
     background-color:@pluginCustomized.GapHeBgColor ;
     color:@pluginCustomized.Color;
   float: left;
   padding: 7px;
   border-radius: 5%;
   word-break: break-word;
  }

  .MsgCount{
      height: 100%;
          width: 17px;
          background-color: #51a3f1;
          border-radius: 50%;
          display: inline-block;
          text-align: center;
          color: white;

  }

    .bigPanel {
        position: absolute;
        width: 60%;
        height: 60%;
        background-color: #fbfbfb;
        z-index: 1100000;
        border-radius: 25px;
        padding: 10px;
        box-shadow: 2px 2px 2px #dddddd;
        left: 20%;
        direction: rtl;
        text-align: right;
        overflow: auto;
        display: none;
    }
  .gapTable table, td {
    border:1px solid #dddddd ;
    overflow: auto;
    }
    .gapTable table,th, td {
      border:1px solid #dddddd ;
      }

  .readyPm{
          background-color: #76dbff;
          border-radius: 10%;
          text-align: center;
          color:white;
          display:inline-block;
      padding: 2px;
      margin-right: 2px;
    }

    .readyPm:hover{
            background-color: #49a9ff;
            cursor: pointer;
      }

  .readyPmHolder{
  margin-top: 10px;

       scrollbar-width: thin;

        overflow-x: scroll;
          overflow-y: hidden;
          white-space:nowrap;

          padding:5px
  }



/*
 *  STYLE 4
 */

.chatPanel::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.0);
	background-color: white;
}

.chatPanel::-webkit-scrollbar
{
	height: 5px;
	width:  5px;
	background-color: white;
}

.chatPanel::-webkit-scrollbar-thumb
{
	background-color: #ff533a ;
}


/*
 *  STYLE 4
 */

.readyPmHolder::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.0);
	background-color: white;
}

.readyPmHolder::-webkit-scrollbar
{
	height: 5px;
	width:  1px;
	background-color: white;
}

.readyPmHolder::-webkit-scrollbar-thumb
{
	background-color: #918a84 ;
}

.readyPmHolder::-webkit-scrollbar-thumb:hover
{
	background-color: #29bb1c ;
	cursor: e-resize !important;
}


.gapMsg:hover .gapB{
display: block;
}
.gapMsg  .gapB{
display: none;
border:1px solid white;
margin:2px
}

.gapMe .gapB{
 background-color:@pluginCustomized.GapMeBgColor ;
     color:@pluginCustomized.Color
}

.gapMe .gapB:hover{
 background-color:@pluginCustomized.Color ;
     color:@pluginCustomized.GapMeBgColor
}

.gapHe .gapB:hover{
 background-color: @pluginCustomized.Color ;
     color:@pluginCustomized.GapHeBgColor
}
.gapHe .gapB{
 background-color:@pluginCustomized.GapHeBgColor  ;
     color:@pluginCustomized.Color
}

#toolsPanel button{

    width: 40px;
    border: none;
    background-color: none
}

#toolsPanel i{
    font-size: 25px;
}

.gapOnTheFlyScreen{
width: 100%;
    height: 100%;
    position: inherit;
    background-color: white;
}


.gapTopToolsPanel{
    background-image: linear-gradient(to right, #ff0808 , #9e0505);
    color: white;

    /*background-image: url(@baseUrl/Content/paterns/patterns.png);
    background-size: 20px;
    background-repeat: repeat-x;*/
}

.gap_online_admin{
    height: 32px;
    width: 32px;
    background-color: #700000;
    border-radius: 50%;
    display: inline-block;
    border: 1px solid white;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    margin-right: 5px;
}
.gap_online_admin_content{

    color: white;
    text-align: center;
    font-size: 15px !important;
    font-weight: 700;
    line-height: 31px!important;

}
.gap_online_admin_come_right
    {
    display: grid;
}

.gap_tools{

}

.gapTopToolsPanel button{
    background-color:#fc0808;
    color: white;
}
.gapTopToolsPanel button:hover{
    background-color: darkred;
}

.gap_title h4{
    padding: 0px;
    margin: 0px;
    padding: 9px;
}

.gap_description{
    font-size: 10px !important;
    text-align: center
}

.gap_onlines{
    display: flex;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 7px
}

.hide{
    display: none;
}

.gap_chatInfo{


}


.gapMax{
    width: 100%;
    height: 100%;
    position: fixed;
    left: 0px;
    right: 0px;
    top: 0px;
    bottom: 0px;
}

.gapChat{

    height: 69%;
}
    </style>
    <div class="bigPanel" id="bigPanel">


    </div>

    <div class="onTheFly" id="onTheFly" >


       

        <div class="gapContent" id="gapContent" style="display: none;background-color: #f6f7fb;" >
            <button aria-label="بستن" data-microtip-position="bottom" role="tooltip"  type="button" style="float: left" id="gapCloseButton" title="بستن پنل">
                <i class="fa fa-times" aria-hidden="true"></i>
            </button>
            
            
            <button aria-label="بزرگنمایی" data-microtip-position="bottom" role="tooltip"  onclick="gap_maximize(this)"  type="button" style="float: left;" id="gap_maximize" title="بزرگنمایی">
                <i class="fa fa-window-maximize" aria-hidden="true"></i>
            </button>
            
            <button aria-label="کوچک کردن" data-microtip-position="bottom" role="tooltip"  onclick="gap_minimize(this)" type="button" style="float: left;display: none " id="gap_minimize" title="نمایش در پنل">
                <i class="fa fa-window-restore" aria-hidden="true"></i>
            </button>
            
            @{
                var paneltargetUrl = $@"{baseUrl}/Customer/Panel/Index?websiteToken={websiteToken}";
            }
            
            
            <a aria-label="نمایش در پنل" data-microtip-position="bottom" role="tooltip"  target="_blank" href="@paneltargetUrl"  type="button" style="float: left; " id="gap_minimize" title="کوچکتر کردن">
                <button>
                    <i class="fa fa-television" aria-hidden="true"></i>
                </button>
            </a>
            
            

            <div class="chatPanel" id="chatPanel">
                <iframe src="@paneltargetUrl" style="width: 100%;height: 100%"></iframe>


            </div>

            @*
            <div class="gapChat"  id="gapChat">
            </div>*@


        </div>

        <div class="dot" id="dot">

            @if (!string.IsNullOrEmpty(pluginCustomized.Icon))
            {
                <div id="iconHolder">
                    @Html.Raw(pluginCustomized.Icon)

                </div>
            }

            @if (!string.IsNullOrEmpty(pluginCustomized.StartText))
            {
                <a type="button" style="position: relative;
                                    top: 30%;
                                    transform: translateX(-50%);">@pluginCustomized.StartText</a>
            }





        </div>

    </div>


</body>
</html>

